# AUTOGENERATED! DO NOT EDIT! File to edit: ../210_SelfMix.ipynb.

# %% auto 0
__all__ = ['SelfMix']

# %% ../210_SelfMix.ipynb 2
# library
from .holemakertechnique import HoleMakerTechnique, HoleMakerROI
from .regionmodifier import RegionModifier
from .transparencemix import TransparenceMix # direct reference to avoid cyclic importations

# others
import cv2
import random
from fastai.basics import *
import numpy as np

# %% ../210_SelfMix.ipynb 4
class SelfMix(TransparenceMix):
    "Defines the amount of holes, the technique used to make them and the probability of apply the technique."
    def __init__(self,
                 holes_num: int = 1, # The amount of holes to make.
                 ROI_class: int = -1, # The class to be used to select the ROI.
                 modifier: "RegionModifier" = None, # The modifier that defines the traditional augments to apply to the selected regions.
                 p: float = 0.5): # The probability of applying this technique.
        hole_maker = HoleMakerROI(ROI_class)
        super().__init__(holes_num, modifier, hole_maker, p)
